Subject: bug#20536: avoid new gcc warning: ENOTSUP vs EOPNOTSUPP

From: Jim Meyering <[email-masked]>
Date: Sun, 10 May 2015 08:34:51 -0700

On Sun, May 10, 2015 at 7:17 AM, Paul Eggert <[email-masked]> wrote:
> Jim Meyering wrote:
>>
>> +  return err == EOPNOTSUPP
>> +#if ENOTSUP != EOPNOTSUPP
>> +    || err == ENOTSUP
>> +#endif
>> +    ;
>
> Would the following work instead?  It's a bit cleaner to avoid #if:
>
>   return err == EOPNOTSUPP || (ENOTSUP != EOPNOTSUPP && err == ENOTSUP);

I confirmed that too avoids the warning, so I've pushed it in your name.